using System; 
using System.Text; 
using System.Data;
using System.Data.SqlClient;
using System.Data.Common;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;
using System.Configuration; 
using System.Xml; 
using System.Xml.Serialization;
using SubSonic; 
using SubSonic.Utilities;

namespace JTC.MiniCommerce.Core
{
    /// <summary>
    /// Controller class for MiniCommerce_Core_Log
    /// </summary>
    [System.ComponentModel.DataObject]
    public partial class LogController
    {
        // Preload our schema..
        Log thisSchemaLoad = new Log();
        private string userName = string.Empty;
        protected string UserName
        {
            get
            {
				if (userName.Length == 0) 
				{
    				if (System.Web.HttpContext.Current != null)
    				{
						userName=System.Web.HttpContext.Current.User.Identity.Name;
					}

					else
					{
						userName=System.Threading.Thread.CurrentPrincipal.Identity.Name;
					}

				}

				return userName;
            }

        }

        [DataObjectMethod(DataObjectMethodType.Select, true)]
        public LogCollection FetchAll()
        {
            LogCollection coll = new LogCollection();
            Query qry = new Query(Log.Schema);
            coll.LoadAndCloseReader(qry.ExecuteReader());
            return coll;
        }

        [DataObjectMethod(DataObjectMethodType.Select, false)]
        public LogCollection FetchByID(object LogId)
        {
            LogCollection coll = new LogCollection().Where("LogId", LogId).Load();
            return coll;
        }

		
		[DataObjectMethod(DataObjectMethodType.Select, false)]
        public LogCollection FetchByQuery(Query qry)
        {
            LogCollection coll = new LogCollection();
            coll.LoadAndCloseReader(qry.ExecuteReader()); 
            return coll;
        }

        [DataObjectMethod(DataObjectMethodType.Delete, true)]
        public bool Delete(object LogId)
        {
            return (Log.Delete(LogId) == 1);
        }

        [DataObjectMethod(DataObjectMethodType.Delete, false)]
        public bool Destroy(object LogId)
        {
            return (Log.Destroy(LogId) == 1);
        }

        
        
    	
	    /// <summary>
	    /// Inserts a record, can be used with the Object Data Source
	    /// </summary>
        [DataObjectMethod(DataObjectMethodType.Insert, true)]
	    public void Insert(DateTime LogDate,string Thread,string LogLevel,string Logger,string LogMessage,string LogInfo,string Application)
	    {
		    Log item = new Log();
		    
            item.LogDate = LogDate;
            
            item.Thread = Thread;
            
            item.LogLevel = LogLevel;
            
            item.Logger = Logger;
            
            item.LogMessage = LogMessage;
            
            item.LogInfo = LogInfo;
            
            item.Application = Application;
            
	    
		    item.Save(UserName);
	    }

    	
	    /// <summary>
	    /// Updates a record, can be used with the Object Data Source
	    /// </summary>
        [DataObjectMethod(DataObjectMethodType.Update, true)]
	    public void Update(int LogId,DateTime LogDate,string Thread,string LogLevel,string Logger,string LogMessage,string LogInfo,string Application)
	    {
		    Log item = new Log();
		    
				item.LogId = LogId;
				
				item.LogDate = LogDate;
				
				item.Thread = Thread;
				
				item.LogLevel = LogLevel;
				
				item.Logger = Logger;
				
				item.LogMessage = LogMessage;
				
				item.LogInfo = LogInfo;
				
				item.Application = Application;
				
		    item.MarkOld();
		    item.Save(UserName);
	    }

    }

}

