using System; 
using System.Text; 
using System.Data;
using System.Data.SqlClient;
using System.Data.Common;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;
using System.Configuration; 
using System.Xml; 
using System.Xml.Serialization;
using SubSonic; 
using SubSonic.Utilities;

namespace JTC.MiniCommerce.Core{
    public partial class SPs{
        
        /// <summary>
        /// Creates an object wrapper for the MiniCommerce_Core_FetchAllLogs Procedure
        /// </summary>
        public static StoredProcedure FetchAllLogs()
        {
            SubSonic.StoredProcedure sp = new SubSonic.StoredProcedure("MiniCommerce_Core_FetchAllLogs" , DataService.GetInstance("MiniCommerceProvider"));
        	
            return sp;
        }

        
        /// <summary>
        /// Creates an object wrapper for the MiniCommerce_Core_DeleteAllLogs Procedure
        /// </summary>
        public static StoredProcedure DeleteAllLogs()
        {
            SubSonic.StoredProcedure sp = new SubSonic.StoredProcedure("MiniCommerce_Core_DeleteAllLogs" , DataService.GetInstance("MiniCommerceProvider"));
        	
            return sp;
        }

        
        /// <summary>
        /// Creates an object wrapper for the MiniCommerce_Core_Insert_Log Procedure
        /// </summary>
        public static StoredProcedure InsertLog(DateTime? LogDate, string Thread, string LogLevel, string Logger, string LogMessage, string LogInfo, string Application)
        {
            SubSonic.StoredProcedure sp = new SubSonic.StoredProcedure("MiniCommerce_Core_Insert_Log" , DataService.GetInstance("MiniCommerceProvider"));
        	
            sp.Command.AddParameter("@LogDate", LogDate,DbType.DateTime);
        	    
            sp.Command.AddParameter("@Thread", Thread,DbType.String);
        	    
            sp.Command.AddParameter("@LogLevel", LogLevel,DbType.String);
        	    
            sp.Command.AddParameter("@Logger", Logger,DbType.String);
        	    
            sp.Command.AddParameter("@LogMessage", LogMessage,DbType.String);
        	    
            sp.Command.AddParameter("@LogInfo", LogInfo,DbType.String);
        	    
            sp.Command.AddParameter("@Application", Application,DbType.String);
        	    
            return sp;
        }

        
    }

    
}

