

using JTC.MiniCommerce.Core.Properties;

namespace JTC.MiniCommerce.Core {
  /// <summary>
  /// Public class that exposes common Resource file definitions for use
  /// across different projects to reduce redundancy.
  /// </summary>
  public class PublicResources {

    #region Methods
    
    #region Public

      /// <summary>
      /// Gets the argument exception message.
      /// </summary>
      /// <value>The argument exception.</value>
      public static string ArgumentExceptionMessage {
        get {
          return Resources.ArgumentException;
        }
      }

      /// <summary>
      /// Gets the argument null exception message.
      /// </summary>
      /// <value>The argument null exception.</value>
      public static string ArgumentNullExceptionMessage {
        get {
          return Resources.ArgumentNullException;
        }
      }

      /// <summary>
      /// Gets the object null exception message.
      /// </summary>
      /// <value>The object null exception.</value>
      public static string ObjectNullExceptionMessage {
        get {
          return Resources.ObjectNullException;
        }
      }

      /// <summary>
      /// Gets the object type exception message.
      /// </summary>
      /// <value>The object type exception.</value>
      public static string ObjectTypeExceptionMessage {
        get {
          return Resources.ObjectTypeException;
        }
      }

      /// <summary>
      /// Gets the enum definition exception message.
      /// </summary>
      /// <value>The enum definition exception.</value>
      public static string EnumDefinitionExceptionMessage {
        get {
          return Resources.EnumDefinitionException;
        }
      }

      /// <summary>
      /// Gets the argument greater than zero exception message.
      /// </summary>
      /// <value>The argument greater than zero exception message.</value>
      public static string ArgumentGreaterThanZeroExceptionMessage {
        get {
          return Resources.ArgumentMustBeGreaterThanZero;
        }
      }

      /// <summary>
      /// Gets the argument must be serializable exception message.
      /// </summary>
      /// <value>The argument must be serializable exception message.</value>
      public static string ArgumentMustBeSerializableExceptionMessage {
        get {
          return Resources.ArgumentMustBeSerializable;
        }
      }

      #endregion
      
      #endregion
     
  }
}
