using System; 
using System.Text; 
using System.Data;
using System.Data.SqlClient;
using System.Data.Common;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;
using System.Configuration; 
using System.Xml; 
using System.Xml.Serialization;
using SubSonic; 
using SubSonic.Utilities;

namespace JTC.MiniCommerce.Store
{
    /// <summary>
    /// Controller class for MiniCommerce_Store_OrderStatusDescriptor
    /// </summary>
    [System.ComponentModel.DataObject]
    public partial class OrderStatusDescriptorController
    {
        // Preload our schema..
        OrderStatusDescriptor thisSchemaLoad = new OrderStatusDescriptor();
        private string userName = string.Empty;
        protected string UserName
        {
            get
            {
				if (userName.Length == 0) 
				{
    				if (System.Web.HttpContext.Current != null)
    				{
						userName=System.Web.HttpContext.Current.User.Identity.Name;
					}

					else
					{
						userName=System.Threading.Thread.CurrentPrincipal.Identity.Name;
					}

				}

				return userName;
            }

        }

        [DataObjectMethod(DataObjectMethodType.Select, true)]
        public OrderStatusDescriptorCollection FetchAll()
        {
            OrderStatusDescriptorCollection coll = new OrderStatusDescriptorCollection();
            Query qry = new Query(OrderStatusDescriptor.Schema);
            coll.LoadAndCloseReader(qry.ExecuteReader());
            return coll;
        }

        [DataObjectMethod(DataObjectMethodType.Select, false)]
        public OrderStatusDescriptorCollection FetchByID(object OrderStatusId)
        {
            OrderStatusDescriptorCollection coll = new OrderStatusDescriptorCollection().Where("OrderStatusId", OrderStatusId).Load();
            return coll;
        }

		
		[DataObjectMethod(DataObjectMethodType.Select, false)]
        public OrderStatusDescriptorCollection FetchByQuery(Query qry)
        {
            OrderStatusDescriptorCollection coll = new OrderStatusDescriptorCollection();
            coll.LoadAndCloseReader(qry.ExecuteReader()); 
            return coll;
        }

        [DataObjectMethod(DataObjectMethodType.Delete, true)]
        public bool Delete(object OrderStatusId)
        {
            return (OrderStatusDescriptor.Delete(OrderStatusId) == 1);
        }

        [DataObjectMethod(DataObjectMethodType.Delete, false)]
        public bool Destroy(object OrderStatusId)
        {
            return (OrderStatusDescriptor.Destroy(OrderStatusId) == 1);
        }

        
        
    	
	    /// <summary>
	    /// Inserts a record, can be used with the Object Data Source
	    /// </summary>
        [DataObjectMethod(DataObjectMethodType.Insert, true)]
	    public void Insert(int OrderStatusId,string Name,string CreatedBy,DateTime CreatedOn,string ModifiedBy,DateTime ModifiedOn)
	    {
		    OrderStatusDescriptor item = new OrderStatusDescriptor();
		    
            item.OrderStatusId = OrderStatusId;
            
            item.Name = Name;
            
            item.CreatedBy = CreatedBy;
            
            item.CreatedOn = CreatedOn;
            
            item.ModifiedBy = ModifiedBy;
            
            item.ModifiedOn = ModifiedOn;
            
	    
		    item.Save(UserName);
	    }

    	
	    /// <summary>
	    /// Updates a record, can be used with the Object Data Source
	    /// </summary>
        [DataObjectMethod(DataObjectMethodType.Update, true)]
	    public void Update(int OrderStatusId,string Name,string CreatedBy,DateTime CreatedOn,string ModifiedBy,DateTime ModifiedOn)
	    {
		    OrderStatusDescriptor item = new OrderStatusDescriptor();
		    
				item.OrderStatusId = OrderStatusId;
				
				item.Name = Name;
				
				item.CreatedBy = CreatedBy;
				
				item.CreatedOn = CreatedOn;
				
				item.ModifiedBy = ModifiedBy;
				
				item.ModifiedOn = ModifiedOn;
				
		    item.MarkOld();
		    item.Save(UserName);
	    }

    }

}

