using System; 
using System.Text; 
using System.Data;
using System.Data.SqlClient;
using System.Data.Common;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;
using System.Configuration; 
using System.Xml; 
using System.Xml.Serialization;
using SubSonic; 
using SubSonic.Utilities;

namespace JTC.MiniCommerce.Store
{
    /// <summary>
    /// Controller class for MiniCommerce_Store_TransactionTypeDescriptor
    /// </summary>
    [System.ComponentModel.DataObject]
    public partial class TransactionTypeDescriptorController
    {
        // Preload our schema..
        TransactionTypeDescriptor thisSchemaLoad = new TransactionTypeDescriptor();
        private string userName = string.Empty;
        protected string UserName
        {
            get
            {
				if (userName.Length == 0) 
				{
    				if (System.Web.HttpContext.Current != null)
    				{
						userName=System.Web.HttpContext.Current.User.Identity.Name;
					}

					else
					{
						userName=System.Threading.Thread.CurrentPrincipal.Identity.Name;
					}

				}

				return userName;
            }

        }

        [DataObjectMethod(DataObjectMethodType.Select, true)]
        public TransactionTypeDescriptorCollection FetchAll()
        {
            TransactionTypeDescriptorCollection coll = new TransactionTypeDescriptorCollection();
            Query qry = new Query(TransactionTypeDescriptor.Schema);
            coll.LoadAndCloseReader(qry.ExecuteReader());
            return coll;
        }

        [DataObjectMethod(DataObjectMethodType.Select, false)]
        public TransactionTypeDescriptorCollection FetchByID(object TransactionTypeId)
        {
            TransactionTypeDescriptorCollection coll = new TransactionTypeDescriptorCollection().Where("TransactionTypeId", TransactionTypeId).Load();
            return coll;
        }

		
		[DataObjectMethod(DataObjectMethodType.Select, false)]
        public TransactionTypeDescriptorCollection FetchByQuery(Query qry)
        {
            TransactionTypeDescriptorCollection coll = new TransactionTypeDescriptorCollection();
            coll.LoadAndCloseReader(qry.ExecuteReader()); 
            return coll;
        }

        [DataObjectMethod(DataObjectMethodType.Delete, true)]
        public bool Delete(object TransactionTypeId)
        {
            return (TransactionTypeDescriptor.Delete(TransactionTypeId) == 1);
        }

        [DataObjectMethod(DataObjectMethodType.Delete, false)]
        public bool Destroy(object TransactionTypeId)
        {
            return (TransactionTypeDescriptor.Destroy(TransactionTypeId) == 1);
        }

        
        
    	
	    /// <summary>
	    /// Inserts a record, can be used with the Object Data Source
	    /// </summary>
        [DataObjectMethod(DataObjectMethodType.Insert, true)]
	    public void Insert(string Name,string CreatedBy,DateTime CreatedOn,string ModifiedBy,DateTime ModifiedOn)
	    {
		    TransactionTypeDescriptor item = new TransactionTypeDescriptor();
		    
            item.Name = Name;
            
            item.CreatedBy = CreatedBy;
            
            item.CreatedOn = CreatedOn;
            
            item.ModifiedBy = ModifiedBy;
            
            item.ModifiedOn = ModifiedOn;
            
	    
		    item.Save(UserName);
	    }

    	
	    /// <summary>
	    /// Updates a record, can be used with the Object Data Source
	    /// </summary>
        [DataObjectMethod(DataObjectMethodType.Update, true)]
	    public void Update(int TransactionTypeId,string Name,string CreatedBy,DateTime CreatedOn,string ModifiedBy,DateTime ModifiedOn)
	    {
		    TransactionTypeDescriptor item = new TransactionTypeDescriptor();
		    
				item.TransactionTypeId = TransactionTypeId;
				
				item.Name = Name;
				
				item.CreatedBy = CreatedBy;
				
				item.CreatedOn = CreatedOn;
				
				item.ModifiedBy = ModifiedBy;
				
				item.ModifiedOn = ModifiedOn;
				
		    item.MarkOld();
		    item.Save(UserName);
	    }

    }

}

