using System; 
using System.Text; 
using System.Data;
using System.Data.SqlClient;
using System.Data.Common;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;
using System.Configuration; 
using System.Xml; 
using System.Xml.Serialization;
using SubSonic; 
using SubSonic.Utilities;

namespace JTC.MiniCommerce.Store{
    public partial class SPs{
        
        /// <summary>
        /// Creates an object wrapper for the MiniCommerce_Store_FetchAllProductsByCategoryId Procedure
        /// </summary>
        public static StoredProcedure FetchAllProductsByCategoryId(int? CategoryId)
        {
            SubSonic.StoredProcedure sp = new SubSonic.StoredProcedure("MiniCommerce_Store_FetchAllProductsByCategoryId" , DataService.GetInstance("MiniCommerceProvider"));
        	
            sp.Command.AddParameter("@CategoryId", CategoryId,DbType.Int32);
        	    
            return sp;
        }

        
        /// <summary>
        /// Creates an object wrapper for the MiniCommerce_Store_ProductSearch Procedure
        /// </summary>
        public static StoredProcedure ProductSearch(string searchTerm)
        {
            SubSonic.StoredProcedure sp = new SubSonic.StoredProcedure("MiniCommerce_Store_ProductSearch" , DataService.GetInstance("MiniCommerceProvider"));
        	
            sp.Command.AddParameter("@searchTerm", searchTerm,DbType.String);
        	    
            return sp;
        }

        
        /// <summary>
        /// Creates an object wrapper for the MiniCommerce_Store_FetchBrowsingLogSearchTerms Procedure
        /// </summary>
        public static StoredProcedure FetchBrowsingLogSearchTerms()
        {
            SubSonic.StoredProcedure sp = new SubSonic.StoredProcedure("MiniCommerce_Store_FetchBrowsingLogSearchTerms" , DataService.GetInstance("MiniCommerceProvider"));
        	
            return sp;
        }

        
        /// <summary>
        /// Creates an object wrapper for the MiniCommerce_Store_FetchCategoryBrowsingLog Procedure
        /// </summary>
        public static StoredProcedure FetchCategoryBrowsingLog()
        {
            SubSonic.StoredProcedure sp = new SubSonic.StoredProcedure("MiniCommerce_Store_FetchCategoryBrowsingLog" , DataService.GetInstance("MiniCommerceProvider"));
        	
            return sp;
        }

        
        /// <summary>
        /// Creates an object wrapper for the MiniCommerce_Store_FetchProductBrowsingLog Procedure
        /// </summary>
        public static StoredProcedure FetchProductBrowsingLog()
        {
            SubSonic.StoredProcedure sp = new SubSonic.StoredProcedure("MiniCommerce_Store_FetchProductBrowsingLog" , DataService.GetInstance("MiniCommerceProvider"));
        	
            return sp;
        }

        
        /// <summary>
        /// Creates an object wrapper for the MiniCommerce_Store_FetchFavoriteCategories Procedure
        /// </summary>
        public static StoredProcedure FetchFavoriteCategories(string UserName, int? BrowsingBehaviorId)
        {
            SubSonic.StoredProcedure sp = new SubSonic.StoredProcedure("MiniCommerce_Store_FetchFavoriteCategories" , DataService.GetInstance("MiniCommerceProvider"));
        	
            sp.Command.AddParameter("@UserName", UserName,DbType.String);
        	    
            sp.Command.AddParameter("@BrowsingBehaviorId", BrowsingBehaviorId,DbType.Int32);
        	    
            return sp;
        }

        
        /// <summary>
        /// Creates an object wrapper for the MiniCommerce_Store_FetchAssociatedAttributesByProductId Procedure
        /// </summary>
        public static StoredProcedure FetchAssociatedAttributesByProductId(int? ProductId)
        {
            SubSonic.StoredProcedure sp = new SubSonic.StoredProcedure("MiniCommerce_Store_FetchAssociatedAttributesByProductId" , DataService.GetInstance("MiniCommerceProvider"));
        	
            sp.Command.AddParameter("@ProductId", ProductId,DbType.Int32);
        	    
            return sp;
        }

        
        /// <summary>
        /// Creates an object wrapper for the MiniCommerce_Store_FetchAvailableAttributesByProductId Procedure
        /// </summary>
        public static StoredProcedure FetchAvailableAttributesByProductId(int? ProductId)
        {
            SubSonic.StoredProcedure sp = new SubSonic.StoredProcedure("MiniCommerce_Store_FetchAvailableAttributesByProductId" , DataService.GetInstance("MiniCommerceProvider"));
        	
            sp.Command.AddParameter("@ProductId", ProductId,DbType.Int32);
        	    
            return sp;
        }

        
        /// <summary>
        /// Creates an object wrapper for the MiniCommerce_Store_FetchAssociatedCategoriesByProductId Procedure
        /// </summary>
        public static StoredProcedure FetchAssociatedCategoriesByProductId(int? ProductId)
        {
            SubSonic.StoredProcedure sp = new SubSonic.StoredProcedure("MiniCommerce_Store_FetchAssociatedCategoriesByProductId" , DataService.GetInstance("MiniCommerceProvider"));
        	
            sp.Command.AddParameter("@ProductId", ProductId,DbType.Int32);
        	    
            return sp;
        }

        
        /// <summary>
        /// Creates an object wrapper for the MiniCommerce_Store_FetchCategoryBreadCrumbs Procedure
        /// </summary>
        public static StoredProcedure FetchCategoryBreadCrumbs(int? CategoryId)
        {
            SubSonic.StoredProcedure sp = new SubSonic.StoredProcedure("MiniCommerce_Store_FetchCategoryBreadCrumbs" , DataService.GetInstance("MiniCommerceProvider"));
        	
            sp.Command.AddParameter("@CategoryId", CategoryId,DbType.Int32);
        	    
            return sp;
        }

        
        /// <summary>
        /// Creates an object wrapper for the MiniCommerce_Store_FetchMostPopularProducts Procedure
        /// </summary>
        public static StoredProcedure FetchMostPopularProducts(int? BrowsingBehviorId)
        {
            SubSonic.StoredProcedure sp = new SubSonic.StoredProcedure("MiniCommerce_Store_FetchMostPopularProducts" , DataService.GetInstance("MiniCommerceProvider"));
        	
            sp.Command.AddParameter("@BrowsingBehviorId", BrowsingBehviorId,DbType.Int32);
        	    
            return sp;
        }

        
        /// <summary>
        /// Creates an object wrapper for the MiniCommerce_Store_FetchFavoriteProducts Procedure
        /// </summary>
        public static StoredProcedure FetchFavoriteProducts(string UserName, int? BrowsingBehaviorId)
        {
            SubSonic.StoredProcedure sp = new SubSonic.StoredProcedure("MiniCommerce_Store_FetchFavoriteProducts" , DataService.GetInstance("MiniCommerceProvider"));
        	
            sp.Command.AddParameter("@UserName", UserName,DbType.String);
        	    
            sp.Command.AddParameter("@BrowsingBehaviorId", BrowsingBehaviorId,DbType.Int32);
        	    
            return sp;
        }

        
        /// <summary>
        /// Creates an object wrapper for the MiniCommerce_Store_FetchProductCrossSells Procedure
        /// </summary>
        public static StoredProcedure FetchProductCrossSells(int? ProductId)
        {
            SubSonic.StoredProcedure sp = new SubSonic.StoredProcedure("MiniCommerce_Store_FetchProductCrossSells" , DataService.GetInstance("MiniCommerceProvider"));
        	
            sp.Command.AddParameter("@ProductId", ProductId,DbType.Int32);
        	    
            return sp;
        }

        
        /// <summary>
        /// Creates an object wrapper for the MiniCommerce_Store_FetchRandomProducts Procedure
        /// </summary>
        public static StoredProcedure FetchRandomProducts()
        {
            SubSonic.StoredProcedure sp = new SubSonic.StoredProcedure("MiniCommerce_Store_FetchRandomProducts" , DataService.GetInstance("MiniCommerceProvider"));
        	
            return sp;
        }

        
        /// <summary>
        /// Creates an object wrapper for the MiniCommerce_Store_FetchProductsByCategoryIdAndManufacturerId Procedure
        /// </summary>
        public static StoredProcedure FetchProductsByCategoryIdAndManufacturerId(int? CategoryId, int? ManufacturerId)
        {
            SubSonic.StoredProcedure sp = new SubSonic.StoredProcedure("MiniCommerce_Store_FetchProductsByCategoryIdAndManufacturerId" , DataService.GetInstance("MiniCommerceProvider"));
        	
            sp.Command.AddParameter("@CategoryId", CategoryId,DbType.Int32);
        	    
            sp.Command.AddParameter("@ManufacturerId", ManufacturerId,DbType.Int32);
        	    
            return sp;
        }

        
        /// <summary>
        /// Creates an object wrapper for the MiniCommerce_Store_FetchProductsByCategoryId Procedure
        /// </summary>
        public static StoredProcedure FetchProductsByCategoryId(int? CategoryId)
        {
            SubSonic.StoredProcedure sp = new SubSonic.StoredProcedure("MiniCommerce_Store_FetchProductsByCategoryId" , DataService.GetInstance("MiniCommerceProvider"));
        	
            sp.Command.AddParameter("@CategoryId", CategoryId,DbType.Int32);
        	    
            return sp;
        }

        
        /// <summary>
        /// Creates an object wrapper for the MiniCommerce_Store_FetchProductsByCategoryIdAndPriceRange Procedure
        /// </summary>
        public static StoredProcedure FetchProductsByCategoryIdAndPriceRange(int? CategoryId, decimal? PriceStart, decimal? PriceEnd)
        {
            SubSonic.StoredProcedure sp = new SubSonic.StoredProcedure("MiniCommerce_Store_FetchProductsByCategoryIdAndPriceRange" , DataService.GetInstance("MiniCommerceProvider"));
        	
            sp.Command.AddParameter("@CategoryId", CategoryId,DbType.Int32);
        	    
            sp.Command.AddParameter("@PriceStart", PriceStart,DbType.Currency);
        	    
            sp.Command.AddParameter("@PriceEnd", PriceEnd,DbType.Currency);
        	    
            return sp;
        }

        
        /// <summary>
        /// Creates an object wrapper for the MiniCommerce_Store_FetchCategoryPriceRanges Procedure
        /// </summary>
        public static StoredProcedure FetchCategoryPriceRanges(int? CategoryId)
        {
            SubSonic.StoredProcedure sp = new SubSonic.StoredProcedure("MiniCommerce_Store_FetchCategoryPriceRanges" , DataService.GetInstance("MiniCommerceProvider"));
        	
            sp.Command.AddParameter("@CategoryId", CategoryId,DbType.Int32);
        	    
            return sp;
        }

        
        /// <summary>
        /// Creates an object wrapper for the MiniCommerce_Store_FetchCategoryManufacturers Procedure
        /// </summary>
        public static StoredProcedure FetchCategoryManufacturers(int? CategoryId)
        {
            SubSonic.StoredProcedure sp = new SubSonic.StoredProcedure("MiniCommerce_Store_FetchCategoryManufacturers" , DataService.GetInstance("MiniCommerceProvider"));
        	
            sp.Command.AddParameter("@CategoryId", CategoryId,DbType.Int32);
        	    
            return sp;
        }

        
    }

    
}

