

using System;
using System.Collections.Generic;
using System.Text;

namespace JTC.MiniCommerce.Store {
  
  public class PayPalPayer {

    #region Member Variables

    private string _payPalPayerId;
    private string _payPalToken;
    private Address _shippingAddress;

    #endregion

    #region Constructors

    /// <summary>
    /// Initializes a new instance of the <see cref="T:PayPalPayer"/> class.
    /// </summary>
    public PayPalPayer() {
      _shippingAddress = new Address();
    }

    #endregion

    #region Properties

    /// <summary>
    /// Gets or sets the shipping address.
    /// </summary>
    /// <value>The shipping address.</value>
    public Address ShippingAddress {
      get {
        return _shippingAddress;
      }
      set {
        _shippingAddress = value;
      }
    }

    /// <summary>
    /// Gets or sets the pay pal token.
    /// </summary>
    /// <value>The pay pal token.</value>
    public string PayPalToken {
      get {
        return _payPalToken;
      }
      set {
        _payPalToken = value;
      }
    }

    /// <summary>
    /// Gets or sets the pay pal payer id.
    /// </summary>
    /// <value>The pay pal payer id.</value>
    public string PayPalPayerId {
      get {
        return _payPalPayerId;
      }
      set {
        _payPalPayerId = value;
      }
    }

    #endregion

  }
}
