

using System;
using System.Collections.Generic;
using System.Text;

using System.Xml.Serialization;

namespace JTC.MiniCommerce.Store.Services.TaxService {
  
  [Serializable()]
  public class TaxServiceSettings {
    
    #region Constants

    public const string SECTION_NAME = "taxServiceSettings";

    #endregion

    #region Member Variables

    private string _defaultProvider;
    private ProviderSettingsCollection _providerSettingsCollection;

    #endregion

    #region Constructors

    /// <summary>
    /// Initializes a new instance of the <see cref="T:TaxServiceSettings"/> class.
    /// </summary>
    public TaxServiceSettings() {
      _providerSettingsCollection = new ProviderSettingsCollection();
    }

    #endregion

    #region Properties

    /// <summary>
    /// Gets or sets the default provider.
    /// </summary>
    /// <value>The default provider.</value>
    [XmlAttribute()]
    public string DefaultProvider {
      get {
        return _defaultProvider;
      }
      set {
        _defaultProvider = value;
      }
    }

    /// <summary>
    /// Gets or sets the provider settings collection.
    /// </summary>
    /// <value>The provider settings collection.</value>
    public ProviderSettingsCollection ProviderSettingsCollection {
      get {
        return _providerSettingsCollection;
      }
      set {
        _providerSettingsCollection = value;
      }
    }

    #endregion

  }
}
