

using System;

using JTC.MiniCommerce.Store.Services.ShippingService;

namespace JTC.MiniCommerce.Store.Web.Controls {
  public class ShippingConfigurationControl : AdminControl {

    #region Member Variables

    private Provider _provider;

    #endregion

    #region Properties

    /// <summary>
    /// Gets or sets the provider.
    /// </summary>
    /// <value>The provider.</value>
    public Provider Provider {
      get {
        return _provider;
      }
      set {
        _provider = value;
      }
    }

    #endregion

    #region Methods

    #region Public

    /// <summary>
    /// Saves the specified payment service settings.
    /// </summary>
    /// <param name="paymentServiceSettings">The payment service settings.</param>
    public int Save(ShippingServiceSettings shippingServiceSettings, string userName) {
      int id = ShippingService.Save(shippingServiceSettings, userName);
      return id;
    }

    #endregion

    #endregion
    
  }
}
