

using System;

using JTC.MiniCommerce.Store.Services.TaxService;

namespace JTC.MiniCommerce.Store.Web.Controls {
  public class TaxConfigurationControl : AdminControl {
  
    #region Member Variables

    private Provider _provider;

    #endregion

    #region Properties

    /// <summary>
    /// Gets or sets the provider.
    /// </summary>
    /// <value>The provider.</value>
    public Provider Provider {
      get {
        return _provider;
      }
      set {
        _provider = value;
      }
    }

    #endregion

    #region Methods

    #region Public

    /// <summary>
    /// Saves the specified tax service settings.
    /// </summary>
    /// <param name="taxServiceSettings">The tax service settings.</param>
    public int Save(TaxServiceSettings taxServiceSettings, string userName) {
      int id = TaxService.Save(taxServiceSettings, userName);
      return id;
    }

    #endregion

    #endregion

  }
}
