

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using JTC.MiniCommerce.Core;
using JTC.MiniCommerce.Localization;
using JTC.MiniCommerce.Store.Web.Controls;
using SubSonic.Utilities;

namespace JTC.MiniCommerce.Web.admin.controls.navigation {
  public partial class product : AdminControl {
    
    #region Member Variables
    
    int productId = 0;
    string view = string.Empty;
    
    #endregion
    
    #region Page Events

    /// <summary>
    /// Handles the Load event of the Page control.
    /// </summary>
    /// <param name="sender">The source of the event.</param>
    /// <param name="e">The <see cref="T:System.EventArgs"/> instance containing the event data.</param>
    protected void Page_Load(object sender, EventArgs e) {
      try {
        productId = Utility.GetIntParameter("productId");
        view = Utility.GetParameter("view");
        productMenu.MenuItemDataBound += new MenuEventHandler(productMenu_MenuItemDataBound);
        productMenu.DataBound += new EventHandler(productMenu_DataBound);
      }
      catch(Exception ex) {
        Logger.Error(typeof(product).Name + ".Page_Load", ex);
        MasterPage.MessageCenter.DisplayCriticalMessage(LocalizationUtility.GetCriticalMessageText(ex.Message));
      }
    }

    /// <summary>
    /// Handles the DataBound event of the productMenu control.
    /// </summary>
    /// <param name="sender">The source of the event.</param>
    /// <param name="e">The <see cref="T:System.EventArgs"/> instance containing the event data.</param>
    void productMenu_DataBound(object sender, EventArgs e) {
      switch(view) {
        case "g":
          productMenu.Items[0].Selected = true;
          break;
        case "d":
          productMenu.Items[0].ChildItems[0].Selected = true;
          break;
        case "c":
          productMenu.Items[0].ChildItems[1].Selected = true;
          break;
        case "a":
          productMenu.Items[0].ChildItems[2].Selected = true;
          break;
        case "i":
          productMenu.Items[0].ChildItems[3].Selected = true;
          break;
        case "s":
          productMenu.Items[0].ChildItems[4].Selected = true;
          break;
        case "cs":
          productMenu.Items[0].ChildItems[5].Selected = true;
          break;
        case "r":
          productMenu.Items[0].ChildItems[6].Selected = true;
          break;
        case "n":
          productMenu.Items[0].ChildItems[7].Selected = true;
          break;
        default:
          productMenu.Items[0].Selected = true;
          break;
      }
    }

    /// <summary>
    /// Handles the MenuItemDataBound event of the productMenu control.
    /// </summary>
    /// <param name="sender">The source of the event.</param>
    /// <param name="e">The <see cref="T:System.Web.UI.WebControls.MenuEventArgs"/> instance containing the event data.</param>
    void productMenu_MenuItemDataBound(object sender, MenuEventArgs e) {
      e.Item.NavigateUrl = e.Item.NavigateUrl + string.Format("&productId={0}", productId);
    }

    #endregion
    
  }
}