

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using JTC.MiniCommerce.Localization;

namespace JTC.MiniCommerce.Web.admin.controls.overview {
  public partial class configuration : System.Web.UI.UserControl {
  
    #region Page Events

    /// <summary>
    /// Handles the Load event of the Page control.
    /// </summary>
    /// <param name="sender">The source of the event.</param>
    /// <param name="e">The <see cref="T:System.EventArgs"/> instance containing the event data.</param>
    protected void Page_Load(object sender, EventArgs e) {
      SetConfigurationProperties();
    }
    
    #endregion
    
    #region Methods
    
    #region Private

    /// <summary>
    /// Sets the configuration properties.
    /// </summary>
    private void SetConfigurationProperties() {
      LocalizationUtility.AddHyperLinkText(hlMailConfiguration);
      LocalizationUtility.AddLabelText(lblMailConfigurationDescription);
      LocalizationUtility.AddHyperLinkText(hlPaymentConfiguration);
      LocalizationUtility.AddLabelText(lblPaymentConfigurationDescription);
      LocalizationUtility.AddHyperLinkText(hlTaxConfiguration);
      LocalizationUtility.AddLabelText(lblTaxConfigurationDescription);
      LocalizationUtility.AddHyperLinkText(hlShippingConfiguration);
      LocalizationUtility.AddLabelText(lblShippingConfigurationDescription);
      LocalizationUtility.AddPanelText(pnlConfigurationOverview);
    }
    
    #endregion
    
    #endregion
    
  }
}