

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using JTC.MiniCommerce.Localization;

namespace JTC.MiniCommerce.Web.admin.controls.overview {
  public partial class site : System.Web.UI.UserControl {
  
    #region Page Events

    /// <summary>
    /// Handles the Load event of the Page control.
    /// </summary>
    /// <param name="sender">The source of the event.</param>
    /// <param name="e">The <see cref="T:System.EventArgs"/> instance containing the event data.</param>
    protected void Page_Load(object sender, EventArgs e) {
      SetSiteProperties();
    }

    #endregion
    
    #region Methods
    
    #region Private

    /// <summary>
    /// Sets the site properties.
    /// </summary>
    private void SetSiteProperties() {
      LocalizationUtility.AddPanelText(pnlSiteOverview);
      LocalizationUtility.AddLabelText(lblSiteSettings);
      LocalizationUtility.AddLabelText(lblSiteSettingsDescription);
      LocalizationUtility.AddLabelText(lblContentManagement);
      LocalizationUtility.AddLabelText(lblContentManagementDescription);
      LocalizationUtility.AddLabelText(lblSecurity);
      LocalizationUtility.AddLabelText(lblUserAdministration);
      LocalizationUtility.AddLabelText(lblUserAdministrationDescription);
      LocalizationUtility.AddLabelText(lblRoleAdministration);
      LocalizationUtility.AddLabelText(lblRoleAdministrationDescription);
      LocalizationUtility.AddLabelText(lblTrackingLogs);
      LocalizationUtility.AddLabelText(lblTrackingLogsDescription);
      LocalizationUtility.AddLabelText(lblErrorLogs);
      LocalizationUtility.AddLabelText(lblErrorLogsDescription);
    }
    
    #endregion
    
    #endregion
    
  }
}