using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using MettleSystems.dashCommerce.Web.resources;
using SubSonic.Utilities;

namespace MettleSystems.dashCommerce.Web.admin.controls.sitesettings {
  public partial class header : SiteSettingsControl {

    #region Constants

    private const int DEFAULT_HEADER_HEIGHT = 100;

    #endregion

    #region Module Variables

    private string view = string.Empty;

    #endregion

    #region Page Events

    /// <summary>
    /// Handles the Load event of the Page control.
    /// </summary>
    /// <param name="sender">The source of the event.</param>
    /// <param name="e">The <see cref="T:System.EventArgs"/> instance containing the event data.</param>
    protected void Page_Load(object sender, EventArgs e) {
      view = Utility.GetParameter("view");
      if(pnlSettings.Visible) {
        SetHeaderSettingsProperties();
        if (!Page.IsPostBack) {
          txtHeaderHeight.Text = SiteSettings.HeaderHeight == 0 ? DEFAULT_HEADER_HEIGHT.ToString() : SiteSettings.HeaderHeight.ToString();
        }
      }
    }

    /// <summary>
    /// Handles the Click event of the btnSave control.
    /// </summary>
    /// <param name="sender">The source of the event.</param>
    /// <param name="e">The <see cref="T:System.EventArgs"/> instance containing the event data.</param>
    protected void btnSave_Click(object sender, EventArgs e) {
      int headerHeight = DEFAULT_HEADER_HEIGHT;
      bool isParsed = int.TryParse(txtHeaderHeight.Text, out headerHeight);
      SiteSettings.HeaderHeight = headerHeight;
      base.Save(SiteSettings);
    }

    #endregion

    #region Methods

    #region Private

    /// <summary>
    /// Sets the header settings properties.
    /// </summary>
    private void SetHeaderSettingsProperties() {
      this.Page.Title = WebUtility.GetText("titleSiteSettingsHeader");
      pnlSettings.GroupingText = WebUtility.GetText("pnlHeader");
      WebUtility.AddLabelText(lblHeaderHeight);
      WebUtility.AddButtonText(btnSave);
      WebUtility.AddHoverHelp(hlHeightHelp);
    }

    #endregion

    #endregion

  }
}