

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using JTC.MiniCommerce.Core;
using JTC.MiniCommerce.Localization;
using JTC.MiniCommerce.Store;
using SubSonic.Utilities;

namespace JTC.MiniCommerce.Web.admin {
  public partial class productedit : System.Web.UI.Page {

    #region Member Variables

    private int productId = 0;
    private string view = string.Empty;
    private Product product;

    #endregion

    #region Page Events

    /// <summary>
    /// Handles the Load event of the Page control.
    /// </summary>
    /// <param name="sender">The source of the event.</param>
    /// <param name="e">The <see cref="T:System.EventArgs"/> instance containing the event data.</param>
    protected void Page_Load (object sender, EventArgs e) {
      try {
        productId = Utility.GetIntParameter("productId");
        view = Utility.GetParameter("view");
        if (productId > 0) {
          SetProductEditProperties();
          product = new Product(productId);
          lblProductEdit.Text = LocalizationUtility.GetText("lblProductEdit") + " >> " + product.Name;
          if(!product.IsEnabled) {
            lblProductEdit.Text += " " + LocalizationUtility.GetText("lblProductNotEnabled");
          }
          productNavigation.Visible = true;
        }
        else {
          lblProductEdit.Text = LocalizationUtility.GetText("lblProductAdd");
        }
        switch (view) {
          case "g":
            generalInformation.Visible = true;
            break;
          case "d":
            descriptors.Visible = true;
            break;
          case "c":
            categories.Visible = true;
            break;
          case "a":
            attributes.Visible = true;
            break;
          case "i":
            images.Visible = true;
            break;
          case "s":
            skus.Visible = true;
            break;
          case "cs":
            crossSells.Visible = true;
            break;
          case "r":
            reviews.Visible = true;
            break;
          case "n":
            notes.Visible = true;
            break;
          default:
            generalInformation.Visible = true;
            break;
        }
      }
      catch (Exception ex) {
        Logger.Error(typeof(productedit).Name + ".Page_Load", ex);
        Master.MessageCenter.DisplayCriticalMessage(LocalizationUtility.GetCriticalMessageText(ex.Message));
      }
    }

    #endregion
    
    #region Methods
    
    #region Private

    /// <summary>
    /// Sets the product edit properties.
    /// </summary>
    private void SetProductEditProperties() {
      LocalizationUtility.AddHoverHelp(hlProductEnabledHelp);
    }

    #endregion
    
    #endregion

  }
}
