<%@ Page Language="C#" MasterPageFile="~/site.master" AutoEventWireup="true" CodeBehind="catalog.aspx.cs" Inherits="JTC.MiniCommerce.Web.catalog" Title="Untitled Page" %>
<%@ MasterType VirtualPath="~/site.master" %>
<%@ Register TagPrefix="MiniCommerce" TagName="Navigation" Src="~/controls/navigation/storenavigation.ascx" %>
<%@ Register TagPrefix="MiniCommerce" TagName="Pager" Src="~/controls/paging.ascx" %>
<%@ Register TagPrefix="MiniCommerce" TagName="CatalogList" Src="~/controls/catalogList.ascx" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
  <div id="threeColumnLeftContent">
    <MiniCommerce:Navigation ID="leftNavigation" runat="server" />
  </div>
  <div id="threeColumnRightContent">
    <asp:Panel ID="pnlNarrowByManufacturer" runat="server" CssClass="widget">
      <asp:Repeater ID="rptrNarrowByManufacturer" runat="server">
        <ItemTemplate>
          <asp:HyperLink ID="hlNarrowByManufacturer" runat="server" NavigateUrl='<%# GetManufacturerUrl(Eval("ManufacturerId").ToString()) %>' Text='<%# Eval("Name") %>' /><br />
        </ItemTemplate>
      </asp:Repeater>
    </asp:Panel>
    <asp:Panel ID="pnlNarrowByPrice" runat="server" CssClass="widget">
      <asp:Repeater ID="rptrNarrowByPrice" runat="server">
        <ItemTemplate>
          <asp:HyperLink ID="hlNarrowByPrice" runat="server" NavigateUrl='<%# GetPriceRangeUrl(Eval("lowRange").ToString(), Eval("hiRange").ToString()) %>' Text='<%# GetFormattedPriceRange(Eval("lowRange").ToString(), Eval("hiRange").ToString()) %>' /><br />
        </ItemTemplate>
      </asp:Repeater>
    </asp:Panel>
  </div>
  <div id="threeColumnMainContent">
    <table class="defaultTable">
      <tr>
        <td>
          <asp:Menu ID="categoryCrumbs" runat="server" SkinID="breadcrumbs" DataSourceID="xmlDataSource" Orientation="Horizontal" StaticDisplayLevels="1">
            <DataBindings>
              <asp:MenuItemBinding DataMember="MenuItem" NavigateUrlField="NavigateUrl" TextField="Text" ValueField="Value" ToolTipField="ToolTip" />
            </DataBindings>
          </asp:Menu>
          <asp:XmlDataSource ID="xmlDataSource" TransformFile="~/transforms/catalogNavigation.xslt" XPath="MenuItems/MenuItem" runat="server" />
        </td>
        <td>
          <asp:HyperLink ID="hlCategory" runat="server" SkinId="noCategoryImage"/>
        </td>
      </tr>
    </table>
    <MiniCommerce:Pager ID="topPager" runat="server" />
    <MiniCommerce:CatalogList ID="catalogList" runat="server" />
    <MiniCommerce:Pager ID="bottomPager" runat="server" />
  </div>
</asp:Content>