SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_ShippingEstimate]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[MiniCommerce_Store_ShippingEstimate](
	[ShippingEstimateId] [int] IDENTITY(1,1) NOT NULL,
	[Name] [nvarchar](150) NOT NULL,
	[CreatedBy] [nvarchar](50) NULL,
	[CreatedOn] [datetime] NOT NULL CONSTRAINT [DF_MiniCommerce_Store_ShippingEstimate_createdOn]  DEFAULT (getutcdate()),
	[ModifiedBy] [nvarchar](50) NULL,
	[ModifiedOn] [datetime] NOT NULL CONSTRAINT [DF_MiniCommerce_Store_ShippingEstimate_modifiedOn]  DEFAULT (getutcdate()),
 CONSTRAINT [PK_MiniCommerce_ShipEstimates] PRIMARY KEY CLUSTERED 
(
	[ShippingEstimateId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END
GO

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_ProductType]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[MiniCommerce_Store_ProductType](
	[ProductTypeId] [int] IDENTITY(1,1) NOT NULL,
	[Name] [nvarchar](50) NOT NULL,
	[CreatedBy] [nvarchar](50) NULL,
	[CreatedOn] [datetime] NOT NULL CONSTRAINT [DF_MiniCommerce_Store_ProductType_createdOn]  DEFAULT (getutcdate()),
	[ModifiedBy] [nvarchar](50) NULL,
	[ModifiedOn] [datetime] NOT NULL CONSTRAINT [DF_MiniCommerce_Store_ProductType_modifiedOn]  DEFAULT (getutcdate()),
 CONSTRAINT [PK_MiniCommerce_ProductType] PRIMARY KEY CLUSTERED 
(
	[ProductTypeId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END
GO

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_AttributeType]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[MiniCommerce_Store_AttributeType](
	[AttributeTypeId] [int] IDENTITY(1,1) NOT NULL,
	[Name] [nvarchar](50) NOT NULL,
	[CreatedOn] [datetime] NULL CONSTRAINT [DF_MiniCommerce_Store_AttributeType_createdOn]  DEFAULT (getdate()),
	[CreatedBy] [nvarchar](50) NULL,
	[ModifiedOn] [datetime] NULL CONSTRAINT [DF_MiniCommerce_Store_AttributeType_modifiedOn]  DEFAULT (getdate()),
	[ModifiedBy] [nvarchar](50) NULL,
 CONSTRAINT [PK_MiniCommerce_ProductAttributeTypes] PRIMARY KEY CLUSTERED 
(
	[AttributeTypeId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END
GO

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Core_ConfigurationData]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[MiniCommerce_Core_ConfigurationData](
	[ConfigurationDataId] [int] IDENTITY(1,1) NOT NULL,
	[Name] [nvarchar](100) NOT NULL,
	[Type] [nvarchar](300) NOT NULL,
	[Value] [ntext] NOT NULL,
	[CreatedBy] [nvarchar](50) NOT NULL,
	[CreatedDate] [datetime] NOT NULL CONSTRAINT [DF_MiniCommerce_Core_ConfigurationData_CreatedDate]  DEFAULT (getutcdate()),
	[ModifiedBy] [nvarchar](50) NOT NULL,
	[ModifiedDate] [datetime] NOT NULL CONSTRAINT [DF_MiniCommerce_Core_ConfigurationData_ModifiedDate]  DEFAULT (getutcdate()),
	[IsDeleted] [bit] NOT NULL,
 CONSTRAINT [PK_MiniCommerce_Core_ConfigurationData] PRIMARY KEY CLUSTERED 
(
	[ConfigurationDataId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Page]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[MiniCommerce_Store_Page](
	[PageId] [int] IDENTITY(1,1) NOT NULL,
	[PageGuid] [uniqueidentifier] NOT NULL,
	[ParentId] [int] NULL,
	[Title] [nvarchar](500) NOT NULL,
	[MenuTitle] [nvarchar](50) NOT NULL,
	[Content] [nvarchar](max) NULL,
	[Keywords] [nvarchar](500) NULL,
	[Description] [nvarchar](500) NULL,
	[SortOrder] [int] NOT NULL,
	[CreatedBy] [nvarchar](50) NULL,
	[CreatedOn] [datetime] NOT NULL CONSTRAINT [DF_MiniCommerce_Content_Page_createdOn]  DEFAULT (getutcdate()),
	[ModifiedBy] [nvarchar](50) NULL,
	[ModifiedOn] [datetime] NOT NULL CONSTRAINT [DF_MiniCommerce_Content_Page_modifiedOn]  DEFAULT (getutcdate()),
 CONSTRAINT [PK_MiniCommerce_Content_Page] PRIMARY KEY CLUSTERED 
(
	[PageId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END
GO

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_ProductStatusDescriptor]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[MiniCommerce_Store_ProductStatusDescriptor](
	[StatusId] [int] IDENTITY(1,1) NOT NULL,
	[Name] [nvarchar](50) NOT NULL,
	[CreatedBy] [nvarchar](50) NULL,
	[CreatedOn] [datetime] NOT NULL CONSTRAINT [DF_MiniCommerce_Store_ProductStatus_createdOn]  DEFAULT (getutcdate()),
	[ModifiedBy] [nvarchar](50) NULL,
	[ModifiedOn] [datetime] NOT NULL CONSTRAINT [DF_MiniCommerce_Store_ProductStatus_modifiedOn]  DEFAULT (getutcdate()),
 CONSTRAINT [PK_MiniCommerce_ProductStatus] PRIMARY KEY CLUSTERED 
(
	[StatusId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END
GO

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_TransactionTypeDescriptor]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[MiniCommerce_Store_TransactionTypeDescriptor](
	[TransactionTypeId] [int] IDENTITY(1,1) NOT NULL,
	[Name] [nvarchar](50) NOT NULL,
	[CreatedBy] [nvarchar](50) NULL,
	[CreatedOn] [datetime] NOT NULL CONSTRAINT [DF_MiniCommerce_Store_TransactionType_createdOn]  DEFAULT (getutcdate()),
	[ModifiedBy] [nvarchar](50) NULL,
	[ModifiedOn] [datetime] NOT NULL CONSTRAINT [DF_MiniCommerce_Store_TransactionType_modifiedOn]  DEFAULT (getutcdate()),
 CONSTRAINT [PK_MiniCommerce_OrderTransactionTypes] PRIMARY KEY CLUSTERED 
(
	[TransactionTypeId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END
GO

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_OrderStatusDescriptor]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[MiniCommerce_Store_OrderStatusDescriptor](
	[OrderStatusId] [int] NOT NULL,
	[Name] [nvarchar](100) NOT NULL,
	[CreatedBy] [nvarchar](50) NULL,
	[CreatedOn] [datetime] NOT NULL CONSTRAINT [DF_MiniCommerce_Store_OrderStatusDescriptor_CreatedOn]  DEFAULT (getutcdate()),
	[ModifiedBy] [nvarchar](50) NULL,
	[ModifiedOn] [datetime] NOT NULL CONSTRAINT [DF_MiniCommerce_Store_OrderStatusDescriptor_ModifiedOn]  DEFAULT (getutcdate()),
 CONSTRAINT [PK_MiniCommerce_Store_OrderStatusDescriptor] PRIMARY KEY CLUSTERED 
(
	[OrderStatusId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END
GO

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Currency]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[MiniCommerce_Store_Currency](
	[codeID] [int] IDENTITY(1,1) NOT NULL,
	[code] [char](3) NOT NULL,
	[description] [nvarchar](255) NOT NULL,
 CONSTRAINT [PK_MiniCommerce_Util_Currency] PRIMARY KEY CLUSTERED 
(
	[codeID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END
GO

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_SimpleWeight_Shipping_Rate]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[MiniCommerce_Store_SimpleWeight_Shipping_Rate](
	[ShippingRateId] [int] IDENTITY(1,1) NOT NULL,
	[Service] [varchar](50) NOT NULL,
	[AmountPerUnit] [money] NOT NULL,
	[CreatedBy] [nvarchar](50) NULL,
	[CreatedOn] [datetime] NOT NULL CONSTRAINT [DF_MiniCommerce_Shipping_Rate_createdOn]  DEFAULT (getutcdate()),
	[ModifiedBy] [nvarchar](50) NULL,
	[ModifiedOn] [datetime] NOT NULL CONSTRAINT [DF_MiniCommerce_Shipping_Rate_modifiedOn]  DEFAULT (getutcdate()),
 CONSTRAINT [PK_MiniCommerce_ShippingRates] PRIMARY KEY CLUSTERED 
(
	[ShippingRateId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END
GO

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Coupon]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[MiniCommerce_Store_Coupon](
	[CouponId] [int] IDENTITY(1,1) NOT NULL,
	[CouponCode] [nvarchar](50) NOT NULL,
	[ExpirationDate] [datetime] NULL,
	[IsSingleUse] [bit] NOT NULL,
	[Type] [nvarchar](300) NOT NULL,
	[Value] [ntext] NOT NULL,
	[CreatedBy] [nvarchar](50) NOT NULL,
	[CreatedOn] [datetime] NOT NULL CONSTRAINT [DF_MiniCommerce_Store_Coupon_CreatedOn]  DEFAULT (getutcdate()),
	[ModifiedBy] [nvarchar](50) NOT NULL,
	[ModifiedOn] [datetime] NOT NULL,
 CONSTRAINT [PK_MiniCommerce_Store_Coupon] PRIMARY KEY CLUSTERED 
(
	[CouponId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Notification]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[MiniCommerce_Store_Notification](
	[NotificationId] [int] IDENTITY(1,1) NOT NULL,
	[Name] [nvarchar](50) NOT NULL,
	[ToList] [nvarchar](500) NULL,
	[CcList] [nvarchar](500) NULL,
	[FromName] [nvarchar](50) NOT NULL,
	[FromEmail] [nvarchar](50) NOT NULL,
	[Subject] [nvarchar](50) NOT NULL,
	[NotificationBody] [ntext] NOT NULL,
	[IsHTML] [bit] NOT NULL CONSTRAINT [DF_MiniCommerce_Mailers_isHTML]  DEFAULT ((0)),
	[IsSystemNotification] [bit] NOT NULL CONSTRAINT [DF_MiniCommerce_Messaging_Mailer_isSystemMailer]  DEFAULT ((0)),
	[CreatedBy] [nvarchar](50) NULL,
	[CreatedOn] [datetime] NOT NULL CONSTRAINT [DF_MiniCommerce_Messaging_Mailer_createdOn]  DEFAULT (getutcdate()),
	[ModifiedBy] [nvarchar](50) NULL,
	[ModifiedOn] [datetime] NOT NULL CONSTRAINT [DF_MiniCommerce_Messaging_Mailer_modifiedOn]  DEFAULT (getutcdate()),
 CONSTRAINT [PK_MiniCommerce_Mailers] PRIMARY KEY CLUSTERED 
(
	[NotificationId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Manufacturer]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[MiniCommerce_Store_Manufacturer](
	[ManufacturerId] [int] IDENTITY(1,1) NOT NULL,
	[Name] [nvarchar](50) NOT NULL,
	[CreatedBy] [nvarchar](50) NULL,
	[CreatedOn] [datetime] NOT NULL CONSTRAINT [DF_MiniCommerce_Store_Manufacturer_createdOn]  DEFAULT (getdate()),
	[ModifiedBy] [nvarchar](50) NULL,
	[ModifiedOn] [datetime] NOT NULL CONSTRAINT [DF_MiniCommerce_Store_Manufacturer_modifiedOn]  DEFAULT (getdate()),
 CONSTRAINT [PK_MiniCommerce_Manufacturers] PRIMARY KEY CLUSTERED 
(
	[ManufacturerId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END
GO

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Core_Log]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[MiniCommerce_Core_Log](
	[LogId] [int] IDENTITY(1,1) NOT NULL,
	[LogDate] [datetime] NOT NULL CONSTRAINT [DF_MiniCommerce_Core_Log_LogDate]  DEFAULT (getutcdate()),
	[Thread] [nvarchar](255) NOT NULL,
	[LogLevel] [nvarchar](50) NOT NULL,
	[Logger] [nvarchar](255) NOT NULL,
	[LogMessage] [nvarchar](4000) NOT NULL,
	[LogInfo] [nvarchar](4000) NOT NULL,
	[Application] [nvarchar](50) NOT NULL,
 CONSTRAINT [PK_MiniCommerce_Core_Log] PRIMARY KEY CLUSTERED 
(
	[LogId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END
GO

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Category]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[MiniCommerce_Store_Category](
	[CategoryId] [int] IDENTITY(1,1) NOT NULL,
	[CategoryGuid] [uniqueidentifier] NOT NULL CONSTRAINT [DF_MiniCommerce_Store_Category_categoryGUID]  DEFAULT (newid()),
	[ParentId] [int] NULL CONSTRAINT [DF_MiniCommerce_ProductCategories_parentID]  DEFAULT ((0)),
	[Name] [nvarchar](100) NOT NULL,
	[ImageFile] [nvarchar](255) NULL,
	[Description] [nvarchar](500) NULL,
	[SortOrder] [int] NOT NULL,
	[CreatedBy] [nvarchar](50) NULL,
	[CreatedOn] [datetime] NOT NULL CONSTRAINT [DF_MiniCommerce_Store_Category_createdOn]  DEFAULT (getutcdate()),
	[ModifiedBy] [nvarchar](50) NULL,
	[ModifiedOn] [datetime] NOT NULL CONSTRAINT [DF_MiniCommerce_Store_Category_modifiedOn]  DEFAULT (getutcdate()),
 CONSTRAINT [PK_MiniCommerce_ProductCategories] PRIMARY KEY CLUSTERED 
(
	[CategoryId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END
GO

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_RegionCode_Tax_Rate]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[MiniCommerce_Store_RegionCode_Tax_Rate](
	[RateId] [int] IDENTITY(1,1) NOT NULL,
	[Rate] [money] NOT NULL,
	[RegionCode] [nvarchar](50) NOT NULL,
	[CreatedBy] [nvarchar](50) NULL,
	[CreatedOn] [datetime] NOT NULL CONSTRAINT [DF_MiniCommerce_Tax_Rate_createdOn]  DEFAULT (getutcdate()),
	[ModifiedBy] [nvarchar](50) NULL,
	[ModifiedOn] [datetime] NOT NULL CONSTRAINT [DF_MiniCommerce_Tax_Rate_modifiedOn]  DEFAULT (getutcdate()),
 CONSTRAINT [PK_MiniCommerce_Taxes] PRIMARY KEY CLUSTERED 
(
	[RateId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END
GO

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Core_Country]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[MiniCommerce_Core_Country](
	[CountryID] [int] IDENTITY(1,1) NOT NULL,
	[Code] [nvarchar](2) NOT NULL,
	[Name] [nvarchar](255) NOT NULL,
 CONSTRAINT [PK_MiniCommerce_Util_Country] PRIMARY KEY CLUSTERED 
(
	[CountryID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END
GO

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Provider]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[MiniCommerce_Store_Provider](
	[ProviderId] [int] IDENTITY(1,1) NOT NULL,
	[ProviderTypeId] [int] NOT NULL,
	[Name] [nvarchar](50) NOT NULL,
	[Description] [nvarchar](max) NULL,
	[ConfigurationControlPath] [nvarchar](255) NOT NULL,
	[CreatedBy] [nvarchar](50) NOT NULL,
	[CreatedDate] [datetime] NOT NULL CONSTRAINT [DF_MiniCommerce_Store_Provider_CreatedDate]  DEFAULT (getutcdate()),
	[ModifiedBy] [nvarchar](50) NOT NULL,
	[ModifiedDate] [datetime] NOT NULL CONSTRAINT [DF_MiniCommerce_Store_Provider_ModifiedDate]  DEFAULT (getutcdate()),
 CONSTRAINT [PK_MiniCommerce_Store_Providers] PRIMARY KEY CLUSTERED 
(
	[ProviderId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END
GO

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_ProductRating]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[MiniCommerce_Store_ProductRating](
	[RatingId] [int] IDENTITY(1,1) NOT NULL,
	[ProductId] [int] NOT NULL,
	[UserName] [nvarchar](256) NOT NULL,
	[Rating] [int] NOT NULL,
	[CreatedBy] [nvarchar](50) NULL,
	[CreatedOn] [datetime] NOT NULL CONSTRAINT [DF_MiniCommerce_Store_Rating_createdOn]  DEFAULT (getutcdate()),
	[ModifiedBy] [nvarchar](50) NULL,
	[ModifiedOn] [datetime] NOT NULL CONSTRAINT [DF_MiniCommerce_Store_Rating_modifiedOn]  DEFAULT (getutcdate()),
 CONSTRAINT [PK_MiniCommerce_ProductRating] PRIMARY KEY CLUSTERED 
(
	[RatingId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END
GO

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Browsing_Log]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[MiniCommerce_Store_Browsing_Log](
	[BrowsingLogId] [int] IDENTITY(1,1) NOT NULL,
	[BrowsingBehaviorId] [int] NOT NULL,
	[RelevantId] [int] NULL,
	[UserName] [nvarchar](50) NOT NULL,
	[Url] [nvarchar](100) NULL,
	[SearchTerms] [nvarchar](150) NULL,
	[SessionId] [nvarchar](50) NULL,
	[CreatedBy] [nvarchar](50) NULL,
	[CreatedOn] [datetime] NOT NULL CONSTRAINT [DF_MiniCommerce_Stats_Tracker_createdOn]  DEFAULT (getutcdate()),
	[ModifiedBy] [nvarchar](50) NULL,
	[ModifiedOn] [datetime] NOT NULL CONSTRAINT [DF_MiniCommerce_Stats_Tracker_modifiedOn]  DEFAULT (getutcdate()),
 CONSTRAINT [PK_MiniCommerce_STATS_Tracker] PRIMARY KEY CLUSTERED 
(
	[BrowsingLogId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END
GO

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_OrderItem]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[MiniCommerce_Store_OrderItem](
	[OrderItemId] [int] IDENTITY(1,1) NOT NULL,
	[OrderId] [int] NOT NULL,
	[ProductId] [int] NOT NULL,
	[Name] [nvarchar](150) NULL,
	[Sku] [nvarchar](100) NULL,
	[Quantity] [int] NOT NULL,
	[PricePaid] [money] NOT NULL,
	[Attributes] [nvarchar](100) NULL,
	[Weight] [numeric](18, 0) NOT NULL,
	[ItemTax] [money] NOT NULL,
	[CreatedBy] [nvarchar](50) NULL,
	[CreatedOn] [datetime] NOT NULL CONSTRAINT [DF_MiniCommerce_Store_OrderItem_createdOn]  DEFAULT (getutcdate()),
	[ModifiedBy] [nvarchar](50) NULL,
	[ModifiedOn] [datetime] NOT NULL CONSTRAINT [DF_MiniCommerce_Store_OrderItem_modifiedOn]  DEFAULT (getutcdate()),
 CONSTRAINT [PK_MiniCommerce_OrderItems] PRIMARY KEY CLUSTERED 
(
	[OrderItemId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END
GO

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_OrderNote]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[MiniCommerce_Store_OrderNote](
	[NoteId] [int] IDENTITY(1,1) NOT NULL,
	[OrderId] [int] NOT NULL,
	[Note] [nvarchar](1500) NOT NULL,
	[CreatedBy] [nvarchar](50) NULL,
	[CreatedOn] [datetime] NOT NULL CONSTRAINT [DF_MiniCommerce_Store_OrderNote_createdOn]  DEFAULT (getutcdate()),
	[ModifiedBy] [nvarchar](50) NULL,
	[ModifiedOn] [datetime] NOT NULL CONSTRAINT [DF_MiniCommerce_Store_OrderNote_modifiedOn]  DEFAULT (getutcdate()),
 CONSTRAINT [PK_MiniCommerce_OrderNotes] PRIMARY KEY CLUSTERED 
(
	[NoteId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END
GO

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Transaction]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[MiniCommerce_Store_Transaction](
	[TransactionId] [int] IDENTITY(1,1) NOT NULL,
	[OrderId] [int] NOT NULL,
	[TransactionTypeId] [int] NOT NULL CONSTRAINT [DF_MiniCommerce_OrderTransactions_transationTypeID]  DEFAULT ((1)),
	[PaymentMethod] [nvarchar](50) NOT NULL,
	[GatewayName] [nvarchar](50) NOT NULL,
	[GatewayResponse] [nvarchar](50) NOT NULL,
	[GatewayTransactionId] [nvarchar](100) NOT NULL,
	[AVSCode] [nvarchar](10) NOT NULL,
	[CVV2Code] [nvarchar](10) NOT NULL,
	[GrossAmount] [money] NOT NULL CONSTRAINT [DF_MiniCommerce_OrderTransactions_amount]  DEFAULT ((0)),
	[NetAmount] [money] NOT NULL,
	[FeeAmount] [money] NOT NULL,
	[TransactionDate] [datetime] NOT NULL CONSTRAINT [DF_MiniCommerce_OrderTransactions_transactionDate]  DEFAULT (getdate()),
	[GatewayErrors] [nvarchar](500) NULL,
	[CreatedBy] [nvarchar](50) NULL,
	[CreatedOn] [datetime] NOT NULL CONSTRAINT [DF_MiniCommerce_Store_Transaction_createdOn]  DEFAULT (getutcdate()),
	[ModifiedBy] [nvarchar](50) NULL,
	[ModifiedOn] [datetime] NOT NULL CONSTRAINT [DF_MiniCommerce_Store_Transaction_modifiedOn]  DEFAULT (getutcdate()),
 CONSTRAINT [PK_MiniCommerce_Store_Transaction] PRIMARY KEY CLUSTERED 
(
	[TransactionId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END
GO

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Product]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[MiniCommerce_Store_Product](
	[ProductId] [int] IDENTITY(1,1) NOT NULL,
	[ManufacturerId] [int] NOT NULL CONSTRAINT [DF_MiniCommerce_Products_manufacturerID]  DEFAULT ((1)),
	[StatusId] [int] NOT NULL CONSTRAINT [DF_MiniCommerce_Products_statusID]  DEFAULT ((1)),
	[ProductTypeId] [int] NOT NULL CONSTRAINT [DF_MiniCommerce_Products_productTypeID]  DEFAULT ((1)),
	[ShippingEstimateId] [int] NOT NULL CONSTRAINT [DF_MiniCommerce_Products_shipTimeID]  DEFAULT ((1)),
	[BaseSku] [nvarchar](50) NULL,
	[ProductGuid] [uniqueidentifier] NOT NULL CONSTRAINT [DF_MiniCommerce_Store_Product_productGUID]  DEFAULT (newid()),
	[Name] [nvarchar](150) NOT NULL,
	[ShortDescription] [nvarchar](max) NULL,
	[OurPrice] [money] NOT NULL,
	[RetailPrice] [money] NOT NULL,
	[Weight] [numeric](19, 4) NOT NULL CONSTRAINT [DF_MiniCommerce_Products_weight]  DEFAULT ((0)),
	[Length] [numeric](18, 0) NOT NULL CONSTRAINT [DF_MiniCommerce_Products_length]  DEFAULT ((0)),
	[Height] [numeric](18, 0) NOT NULL CONSTRAINT [DF_MiniCommerce_Products_height]  DEFAULT ((0)),
	[Width] [numeric](18, 0) NOT NULL CONSTRAINT [DF_MiniCommerce_Products_width]  DEFAULT ((0)),
	[SortOrder] [int] NOT NULL CONSTRAINT [DF_MiniCommerce_Products_listOrder]  DEFAULT ((1)),
	[RatingSum] [int] NOT NULL CONSTRAINT [DF_MiniCommerce_Products_RatingSum]  DEFAULT ((4)),
	[TotalRatingVotes] [int] NOT NULL CONSTRAINT [DF_MiniCommerce_Products_totalRatingSum]  DEFAULT ((1)),
	[AllowNegativeInventories] [bit] NOT NULL CONSTRAINT [DF_MiniCommerce_Store_Product_AllowNegativeInventories]  DEFAULT ((0)),
	[IsEnabled] [bit] NOT NULL CONSTRAINT [DF_MiniCommerce_Store_Product_IsLocked]  DEFAULT ((0)),
	[CreatedBy] [nvarchar](50) NULL,
	[CreatedOn] [datetime] NOT NULL CONSTRAINT [DF_MiniCommerce_Store_Product_createdOn]  DEFAULT (getutcdate()),
	[ModifiedBy] [nvarchar](50) NULL,
	[ModifiedOn] [datetime] NOT NULL CONSTRAINT [DF_MiniCommerce_Store_Product_modifiedOn]  DEFAULT (getutcdate()),
	[IsDeleted] [bit] NOT NULL CONSTRAINT [DF_MiniCommerce_Products_isDeleted]  DEFAULT ((0)),
 CONSTRAINT [PK_MiniCommerce_Products] PRIMARY KEY CLUSTERED 
(
	[ProductId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END
GO

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Attribute]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[MiniCommerce_Store_Attribute](
	[AttributeId] [int] IDENTITY(1,1) NOT NULL,
	[AttributeTypeId] [int] NOT NULL,
	[Name] [nvarchar](50) NOT NULL,
	[Label] [nvarchar](150) NULL,
 CONSTRAINT [PK_MiniCommerce_Store_Attribute] PRIMARY KEY CLUSTERED 
(
	[AttributeId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END
GO

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Order]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[MiniCommerce_Store_Order](
	[OrderId] [int] IDENTITY(1,1) NOT NULL,
	[OrderGuid] [nvarchar](50) NOT NULL CONSTRAINT [DF_MiniCommerce_Store_Order_orderGuid]  DEFAULT (newid()),
	[OrderNumber] [varchar](50) NULL,
	[OrderStatusId] [int] NOT NULL CONSTRAINT [DF_MiniCommerce_Orders_OrderStatusID]  DEFAULT ((0)),
	[UserName] [varchar](100) NOT NULL,
	[ShippingAmount] [money] NOT NULL CONSTRAINT [DF_MiniCommerce_Orders_Shipping_1]  DEFAULT ((0)),
	[ShippingMethod] [nvarchar](100) NULL,
	[TaxAmount] [money] NOT NULL CONSTRAINT [DF_MiniCommerce_Orders_Tax_1]  DEFAULT ((0)),
	[HandlingAmount] [money] NOT NULL CONSTRAINT [DF_MiniCommerce_Store_Order_HandlingAmount]  DEFAULT ((0)),
	[DiscountAmount] [money] NOT NULL CONSTRAINT [DF_MiniCommerce_Orders_discountAmount]  DEFAULT ((0)),
	[BillToAddress] [nvarchar](1500) NULL,
	[ShipToAddress] [nvarchar](1500) NULL,
	[IPAddress] [nvarchar](50) NOT NULL,
	[PaymentMethod] [nvarchar](50) NULL,
	[ShippingTrackingNumber] [nvarchar](150) NULL,
	[AdditionalProperties] [nvarchar](2000) NULL,
	[CreatedBy] [nvarchar](50) NULL,
	[CreatedOn] [datetime] NOT NULL CONSTRAINT [DF_MiniCommerce_Store_Order_createdOn]  DEFAULT (getutcdate()),
	[ModifiedBy] [nvarchar](50) NULL,
	[ModifiedOn] [datetime] NOT NULL CONSTRAINT [DF_MiniCommerce_Store_Order_modifiedOn]  DEFAULT (getutcdate()),
 CONSTRAINT [PK_MiniCommerce_Store_Order] PRIMARY KEY CLUSTERED 
(
	[OrderId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END
GO

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Product_Category_Map]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[MiniCommerce_Store_Product_Category_Map](
	[ProductId] [int] NOT NULL,
	[CategoryId] [int] NOT NULL,
	[CreatedBy] [nvarchar](50) NULL,
	[CreatedOn] [datetime] NOT NULL CONSTRAINT [DF_MiniCommerce_Store_Product_Category_Map_createdOn]  DEFAULT (getutcdate()),
	[ModifiedBy] [nvarchar](50) NULL,
	[ModifiedOn] [datetime] NOT NULL CONSTRAINT [DF_MiniCommerce_Store_Product_Category_Map_modifiedOn]  DEFAULT (getutcdate()),
 CONSTRAINT [PK_MiniCommerce_Products_Categories] PRIMARY KEY CLUSTERED 
(
	[ProductId] ASC,
	[CategoryId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END
GO

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Product_Attribute_Map]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[MiniCommerce_Store_Product_Attribute_Map](
	[AttributeId] [int] NOT NULL,
	[ProductId] [int] NOT NULL,
	[SortOrder] [int] NOT NULL CONSTRAINT [DF_MiniCommerce_Store_Product_Attribute_Map_SortOrder]  DEFAULT ((0)),
	[IsRequired] [bit] NOT NULL CONSTRAINT [DF_MiniCommerce_Store_Product_Attribute_Map_IsRequired]  DEFAULT ((0)),
 CONSTRAINT [PK_MiniCommerce_Store_Product_Attribute_Map] PRIMARY KEY CLUSTERED 
(
	[AttributeId] ASC,
	[ProductId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END
GO

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_CrossSell]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[MiniCommerce_Store_CrossSell](
	[ProductId] [int] NOT NULL,
	[CrossProductId] [int] NOT NULL,
 CONSTRAINT [PK_MiniCommerce_Promo_Product_CrossSell_Map] PRIMARY KEY CLUSTERED 
(
	[ProductId] ASC,
	[CrossProductId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END
GO

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Sku]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[MiniCommerce_Store_Sku](
	[SkuId] [int] IDENTITY(1,1) NOT NULL,
	[ProductId] [int] NOT NULL,
	[Sku] [nvarchar](100) NOT NULL,
	[Inventory] [int] NOT NULL CONSTRAINT [DF_MiniCommerce_Store_Sku_Inventory]  DEFAULT ((0)),
	[CreatedBy] [nvarchar](50) NULL,
	[CreatedOn] [nvarchar](50) NOT NULL CONSTRAINT [DF_MiniCommerce_Store_Sku_CreatedOn]  DEFAULT (getutcdate()),
	[ModifiedBy] [nvarchar](50) NULL,
	[ModifiedOn] [nvarchar](50) NOT NULL CONSTRAINT [DF_MiniCommerce_Store_Sku_ModifiedOn]  DEFAULT (getutcdate()),
 CONSTRAINT [PK_MiniCommerce_Store_Sku] PRIMARY KEY CLUSTERED 
(
	[SkuId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END
GO

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Descriptor]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[MiniCommerce_Store_Descriptor](
	[DescriptorId] [int] IDENTITY(1,1) NOT NULL,
	[ProductId] [int] NOT NULL,
	[Title] [nvarchar](100) NOT NULL,
	[Descriptor] [nvarchar](4000) NOT NULL,
	[SortOrder] [int] NOT NULL CONSTRAINT [DF_MiniCommerce_Store_ProductDescriptor_listOrder]  DEFAULT ((1)),
	[CreatedBy] [nvarchar](50) NULL,
	[CreatedOn] [datetime] NOT NULL CONSTRAINT [DF_MiniCommerce_Store_ProductDescriptor_CreatedOn]  DEFAULT (getutcdate()),
	[ModifiedBy] [nvarchar](50) NULL,
	[ModifiedOn] [datetime] NOT NULL CONSTRAINT [DF_MiniCommerce_Store_ProductDescriptor_ModifiedOn]  DEFAULT (getutcdate()),
 CONSTRAINT [PK_MiniCommerce_Store_ProductDescriptor] PRIMARY KEY CLUSTERED 
(
	[DescriptorId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END
GO

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Image]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[MiniCommerce_Store_Image](
	[ImageId] [int] IDENTITY(1,1) NOT NULL,
	[ProductId] [int] NOT NULL,
	[ImageFile] [nvarchar](500) NULL,
	[SortOrder] [int] NOT NULL CONSTRAINT [DF_MiniCommerce_ProductImages_isDefault]  DEFAULT ((0)),
	[Caption] [nvarchar](500) NULL,
	[CreatedBy] [nvarchar](50) NULL,
	[CreatedOn] [datetime] NOT NULL CONSTRAINT [DF_MiniCommerce_Store_Image_createdOn]  DEFAULT (getutcdate()),
	[ModifiedBy] [nvarchar](50) NULL,
	[ModifiedOn] [datetime] NOT NULL CONSTRAINT [DF_MiniCommerce_Store_Image_modifiedOn]  DEFAULT (getutcdate()),
 CONSTRAINT [PK_MiniCommerce_ProductImages] PRIMARY KEY CLUSTERED 
(
	[ImageId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END
GO

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Review]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[MiniCommerce_Store_Review](
	[ReviewId] [int] IDENTITY(1,1) NOT NULL,
	[ProductId] [int] NOT NULL,
	[Title] [nvarchar](100) NOT NULL CONSTRAINT [DF_MiniCommerce_Reviews_Title]  DEFAULT (''),
	[Body] [ntext] NOT NULL CONSTRAINT [DF_MiniCommerce_Reviews_Body]  DEFAULT (''),
	[Rating] [int] NOT NULL CONSTRAINT [DF_MiniCommerce_ProductReviews_Rating]  DEFAULT ((0)),
	[IsApproved] [bit] NOT NULL CONSTRAINT [DF_MiniCommerce_Reviews_IsApproved]  DEFAULT ((0)),
	[CreatedBy] [nvarchar](50) NULL,
	[CreatedOn] [datetime] NOT NULL CONSTRAINT [DF_MiniCommerce_Store_Review_createdOn]  DEFAULT (getutcdate()),
	[ModifiedBy] [nvarchar](50) NULL,
	[ModifiedOn] [datetime] NOT NULL CONSTRAINT [DF_MiniCommerce_Store_Review_modifiedOn]  DEFAULT (getutcdate()),
 CONSTRAINT [PK_MiniCommerce_Reviews] PRIMARY KEY CLUSTERED 
(
	[ReviewId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END
GO

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_AttributeItem]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[MiniCommerce_Store_AttributeItem](
	[AttributeItemId] [int] IDENTITY(1,1) NOT NULL,
	[AttributeId] [int] NOT NULL,
	[Name] [nvarchar](50) NOT NULL,
	[Adjustment] [money] NOT NULL,
	[SortOrder] [int] NOT NULL,
	[SkuSuffix] [nvarchar](50) NULL,
 CONSTRAINT [PK_MiniCommerce_Store_AttributeItem] PRIMARY KEY CLUSTERED 
(
	[AttributeItemId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_MiniCommerce_Store_OrderItem_MiniCommerce_Store_Order]') AND parent_object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_OrderItem]'))
ALTER TABLE [dbo].[MiniCommerce_Store_OrderItem]  WITH NOCHECK ADD  CONSTRAINT [FK_MiniCommerce_Store_OrderItem_MiniCommerce_Store_Order] FOREIGN KEY([OrderId])
REFERENCES [dbo].[MiniCommerce_Store_Order] ([OrderId])
GO
ALTER TABLE [dbo].[MiniCommerce_Store_OrderItem] CHECK CONSTRAINT [FK_MiniCommerce_Store_OrderItem_MiniCommerce_Store_Order]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_MiniCommerce_Store_OrderNote_MiniCommerce_Store_Order]') AND parent_object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_OrderNote]'))
ALTER TABLE [dbo].[MiniCommerce_Store_OrderNote]  WITH NOCHECK ADD  CONSTRAINT [FK_MiniCommerce_Store_OrderNote_MiniCommerce_Store_Order] FOREIGN KEY([OrderId])
REFERENCES [dbo].[MiniCommerce_Store_Order] ([OrderId])
GO
ALTER TABLE [dbo].[MiniCommerce_Store_OrderNote] CHECK CONSTRAINT [FK_MiniCommerce_Store_OrderNote_MiniCommerce_Store_Order]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_MiniCommerce_OrderTransactions_MiniCommerce_OrderTransactionTypes]') AND parent_object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Transaction]'))
ALTER TABLE [dbo].[MiniCommerce_Store_Transaction]  WITH NOCHECK ADD  CONSTRAINT [FK_MiniCommerce_OrderTransactions_MiniCommerce_OrderTransactionTypes] FOREIGN KEY([TransactionTypeId])
REFERENCES [dbo].[MiniCommerce_Store_TransactionTypeDescriptor] ([TransactionTypeId])
GO
ALTER TABLE [dbo].[MiniCommerce_Store_Transaction] CHECK CONSTRAINT [FK_MiniCommerce_OrderTransactions_MiniCommerce_OrderTransactionTypes]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_MiniCommerce_Store_Transaction_MiniCommerce_Store_Order]') AND parent_object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Transaction]'))
ALTER TABLE [dbo].[MiniCommerce_Store_Transaction]  WITH NOCHECK ADD  CONSTRAINT [FK_MiniCommerce_Store_Transaction_MiniCommerce_Store_Order] FOREIGN KEY([OrderId])
REFERENCES [dbo].[MiniCommerce_Store_Order] ([OrderId])
GO
ALTER TABLE [dbo].[MiniCommerce_Store_Transaction] CHECK CONSTRAINT [FK_MiniCommerce_Store_Transaction_MiniCommerce_Store_Order]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_MiniCommerce_Products_MiniCommerce_Manufacturers]') AND parent_object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Product]'))
ALTER TABLE [dbo].[MiniCommerce_Store_Product]  WITH NOCHECK ADD  CONSTRAINT [FK_MiniCommerce_Products_MiniCommerce_Manufacturers] FOREIGN KEY([ManufacturerId])
REFERENCES [dbo].[MiniCommerce_Store_Manufacturer] ([ManufacturerId])
GO
ALTER TABLE [dbo].[MiniCommerce_Store_Product] CHECK CONSTRAINT [FK_MiniCommerce_Products_MiniCommerce_Manufacturers]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_MiniCommerce_Products_MiniCommerce_ProductStatus]') AND parent_object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Product]'))
ALTER TABLE [dbo].[MiniCommerce_Store_Product]  WITH NOCHECK ADD  CONSTRAINT [FK_MiniCommerce_Products_MiniCommerce_ProductStatus] FOREIGN KEY([StatusId])
REFERENCES [dbo].[MiniCommerce_Store_ProductStatusDescriptor] ([StatusId])
GO
ALTER TABLE [dbo].[MiniCommerce_Store_Product] CHECK CONSTRAINT [FK_MiniCommerce_Products_MiniCommerce_ProductStatus]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_MiniCommerce_Products_MiniCommerce_ProductType]') AND parent_object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Product]'))
ALTER TABLE [dbo].[MiniCommerce_Store_Product]  WITH NOCHECK ADD  CONSTRAINT [FK_MiniCommerce_Products_MiniCommerce_ProductType] FOREIGN KEY([ProductTypeId])
REFERENCES [dbo].[MiniCommerce_Store_ProductType] ([ProductTypeId])
GO
ALTER TABLE [dbo].[MiniCommerce_Store_Product] CHECK CONSTRAINT [FK_MiniCommerce_Products_MiniCommerce_ProductType]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_MiniCommerce_Products_MiniCommerce_ShipEstimates]') AND parent_object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Product]'))
ALTER TABLE [dbo].[MiniCommerce_Store_Product]  WITH NOCHECK ADD  CONSTRAINT [FK_MiniCommerce_Products_MiniCommerce_ShipEstimates] FOREIGN KEY([ShippingEstimateId])
REFERENCES [dbo].[MiniCommerce_Store_ShippingEstimate] ([ShippingEstimateId])
GO
ALTER TABLE [dbo].[MiniCommerce_Store_Product] CHECK CONSTRAINT [FK_MiniCommerce_Products_MiniCommerce_ShipEstimates]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_MiniCommerce_Store_Attribute_MiniCommerce_Store_AttributeType]') AND parent_object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Attribute]'))
ALTER TABLE [dbo].[MiniCommerce_Store_Attribute]  WITH NOCHECK ADD  CONSTRAINT [FK_MiniCommerce_Store_Attribute_MiniCommerce_Store_AttributeType] FOREIGN KEY([AttributeTypeId])
REFERENCES [dbo].[MiniCommerce_Store_AttributeType] ([AttributeTypeId])
GO
ALTER TABLE [dbo].[MiniCommerce_Store_Attribute] CHECK CONSTRAINT [FK_MiniCommerce_Store_Attribute_MiniCommerce_Store_AttributeType]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_MiniCommerce_Store_Order_MiniCommerce_Store_OrderStatusDescriptor]') AND parent_object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Order]'))
ALTER TABLE [dbo].[MiniCommerce_Store_Order]  WITH NOCHECK ADD  CONSTRAINT [FK_MiniCommerce_Store_Order_MiniCommerce_Store_OrderStatusDescriptor] FOREIGN KEY([OrderStatusId])
REFERENCES [dbo].[MiniCommerce_Store_OrderStatusDescriptor] ([OrderStatusId])
GO
ALTER TABLE [dbo].[MiniCommerce_Store_Order] CHECK CONSTRAINT [FK_MiniCommerce_Store_Order_MiniCommerce_Store_OrderStatusDescriptor]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_MiniCommerce_Products_Categories_MiniCommerce_ProductCategories]') AND parent_object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Product_Category_Map]'))
ALTER TABLE [dbo].[MiniCommerce_Store_Product_Category_Map]  WITH NOCHECK ADD  CONSTRAINT [FK_MiniCommerce_Products_Categories_MiniCommerce_ProductCategories] FOREIGN KEY([CategoryId])
REFERENCES [dbo].[MiniCommerce_Store_Category] ([CategoryId])
GO
ALTER TABLE [dbo].[MiniCommerce_Store_Product_Category_Map] CHECK CONSTRAINT [FK_MiniCommerce_Products_Categories_MiniCommerce_ProductCategories]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_MiniCommerce_Products_Categories_MiniCommerce_Products]') AND parent_object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Product_Category_Map]'))
ALTER TABLE [dbo].[MiniCommerce_Store_Product_Category_Map]  WITH NOCHECK ADD  CONSTRAINT [FK_MiniCommerce_Products_Categories_MiniCommerce_Products] FOREIGN KEY([ProductId])
REFERENCES [dbo].[MiniCommerce_Store_Product] ([ProductId])
GO
ALTER TABLE [dbo].[MiniCommerce_Store_Product_Category_Map] CHECK CONSTRAINT [FK_MiniCommerce_Products_Categories_MiniCommerce_Products]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_MiniCommerce_Store_Product_Attribute_Map_MiniCommerce_Store_Attribute]') AND parent_object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Product_Attribute_Map]'))
ALTER TABLE [dbo].[MiniCommerce_Store_Product_Attribute_Map]  WITH NOCHECK ADD  CONSTRAINT [FK_MiniCommerce_Store_Product_Attribute_Map_MiniCommerce_Store_Attribute] FOREIGN KEY([AttributeId])
REFERENCES [dbo].[MiniCommerce_Store_Attribute] ([AttributeId])
GO
ALTER TABLE [dbo].[MiniCommerce_Store_Product_Attribute_Map] CHECK CONSTRAINT [FK_MiniCommerce_Store_Product_Attribute_Map_MiniCommerce_Store_Attribute]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_MiniCommerce_Store_Product_Attribute_Map_MiniCommerce_Store_Product]') AND parent_object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Product_Attribute_Map]'))
ALTER TABLE [dbo].[MiniCommerce_Store_Product_Attribute_Map]  WITH NOCHECK ADD  CONSTRAINT [FK_MiniCommerce_Store_Product_Attribute_Map_MiniCommerce_Store_Product] FOREIGN KEY([ProductId])
REFERENCES [dbo].[MiniCommerce_Store_Product] ([ProductId])
GO
ALTER TABLE [dbo].[MiniCommerce_Store_Product_Attribute_Map] CHECK CONSTRAINT [FK_MiniCommerce_Store_Product_Attribute_Map_MiniCommerce_Store_Product]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_MiniCommerce_Promo_Product_CrossSell_Map_MiniCommerce_Store_Product]') AND parent_object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_CrossSell]'))
ALTER TABLE [dbo].[MiniCommerce_Store_CrossSell]  WITH NOCHECK ADD  CONSTRAINT [FK_MiniCommerce_Promo_Product_CrossSell_Map_MiniCommerce_Store_Product] FOREIGN KEY([ProductId])
REFERENCES [dbo].[MiniCommerce_Store_Product] ([ProductId])
GO
ALTER TABLE [dbo].[MiniCommerce_Store_CrossSell] CHECK CONSTRAINT [FK_MiniCommerce_Promo_Product_CrossSell_Map_MiniCommerce_Store_Product]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_MiniCommerce_Promo_Product_CrossSell_Map_MiniCommerce_Store_Product1]') AND parent_object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_CrossSell]'))
ALTER TABLE [dbo].[MiniCommerce_Store_CrossSell]  WITH NOCHECK ADD  CONSTRAINT [FK_MiniCommerce_Promo_Product_CrossSell_Map_MiniCommerce_Store_Product1] FOREIGN KEY([CrossProductId])
REFERENCES [dbo].[MiniCommerce_Store_Product] ([ProductId])
GO
ALTER TABLE [dbo].[MiniCommerce_Store_CrossSell] CHECK CONSTRAINT [FK_MiniCommerce_Promo_Product_CrossSell_Map_MiniCommerce_Store_Product1]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_MiniCommerce_Store_Sku_MiniCommerce_Store_Product]') AND parent_object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Sku]'))
ALTER TABLE [dbo].[MiniCommerce_Store_Sku]  WITH NOCHECK ADD  CONSTRAINT [FK_MiniCommerce_Store_Sku_MiniCommerce_Store_Product] FOREIGN KEY([ProductId])
REFERENCES [dbo].[MiniCommerce_Store_Product] ([ProductId])
GO
ALTER TABLE [dbo].[MiniCommerce_Store_Sku] CHECK CONSTRAINT [FK_MiniCommerce_Store_Sku_MiniCommerce_Store_Product]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_MiniCommerce_Store_ProductDescriptor_MiniCommerce_Store_Product]') AND parent_object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Descriptor]'))
ALTER TABLE [dbo].[MiniCommerce_Store_Descriptor]  WITH NOCHECK ADD  CONSTRAINT [FK_MiniCommerce_Store_ProductDescriptor_MiniCommerce_Store_Product] FOREIGN KEY([ProductId])
REFERENCES [dbo].[MiniCommerce_Store_Product] ([ProductId])
GO
ALTER TABLE [dbo].[MiniCommerce_Store_Descriptor] CHECK CONSTRAINT [FK_MiniCommerce_Store_ProductDescriptor_MiniCommerce_Store_Product]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_MiniCommerce_ProductImages_MiniCommerce_Products]') AND parent_object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Image]'))
ALTER TABLE [dbo].[MiniCommerce_Store_Image]  WITH NOCHECK ADD  CONSTRAINT [FK_MiniCommerce_ProductImages_MiniCommerce_Products] FOREIGN KEY([ProductId])
REFERENCES [dbo].[MiniCommerce_Store_Product] ([ProductId])
GO
ALTER TABLE [dbo].[MiniCommerce_Store_Image] CHECK CONSTRAINT [FK_MiniCommerce_ProductImages_MiniCommerce_Products]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_MiniCommerce_Store_Review_MiniCommerce_Store_Product]') AND parent_object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Review]'))
ALTER TABLE [dbo].[MiniCommerce_Store_Review]  WITH NOCHECK ADD  CONSTRAINT [FK_MiniCommerce_Store_Review_MiniCommerce_Store_Product] FOREIGN KEY([ProductId])
REFERENCES [dbo].[MiniCommerce_Store_Product] ([ProductId])
GO
ALTER TABLE [dbo].[MiniCommerce_Store_Review] CHECK CONSTRAINT [FK_MiniCommerce_Store_Review_MiniCommerce_Store_Product]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_MiniCommerce_Store_AttributeItem_MiniCommerce_Store_Attribute]') AND parent_object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_AttributeItem]'))
ALTER TABLE [dbo].[MiniCommerce_Store_AttributeItem]  WITH NOCHECK ADD  CONSTRAINT [FK_MiniCommerce_Store_AttributeItem_MiniCommerce_Store_Attribute] FOREIGN KEY([AttributeId])
REFERENCES [dbo].[MiniCommerce_Store_Attribute] ([AttributeId])
GO
ALTER TABLE [dbo].[MiniCommerce_Store_AttributeItem] CHECK CONSTRAINT [FK_MiniCommerce_Store_AttributeItem_MiniCommerce_Store_Attribute]
GO
