

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using JTC.MiniCommerce.Core;
using JTC.MiniCommerce.Localization;

namespace JTC.MiniCommerce.Web {
  public partial class register : System.Web.UI.Page {

    #region Page Events

    /// <summary>
    /// Handles the Load event of the Page control.
    /// </summary>
    /// <param name="sender">The source of the event.</param>
    /// <param name="e">The <see cref="T:System.EventArgs"/> instance containing the event data.</param>
    protected void Page_Load(object sender, EventArgs e) {
      try {
        SetRegisterControlProperties();
      }
      catch (Exception ex) {
        Logger.Error(typeof(register).Name + ".Page_Load", ex);
        throw;
      }
    }

    #endregion

    #region Methods

    #region Private

    /// <summary>
    /// Sets the register control properties.
    /// </summary>
    private void SetRegisterControlProperties() {
      cuwRegister.UserNameLabelText = LocalizationUtility.GetText("cuwRegisterUserNameLabelText");
      cuwRegister.PasswordLabelText = LocalizationUtility.GetText("cuwRegisterPasswordLabelText");
      cuwRegister.ConfirmPasswordLabelText = LocalizationUtility.GetText("cuwRegisterConfirmPasswordLabelText");
      cuwRegister.EmailLabelText = LocalizationUtility.GetText("cuwRegisterEmailLabelText");
      cuwRegister.QuestionLabelText = LocalizationUtility.GetText("cuwRegisterQuestionLabelText");
      cuwRegister.AnswerLabelText = LocalizationUtility.GetText("cuwRegisterAnswerLabelText");
      cuwRegister.CreateUserButtonText = LocalizationUtility.GetText("cuwRegisterCreateUserButtonText");
      cuwRegister.CompleteSuccessText = LocalizationUtility.GetText("cuwRegisterCompleteSuccessText");
      cuwRegister.FinishCompleteButtonText = LocalizationUtility.GetText("cuwRegisterFinishCompleteButtonText");
      cuwRegister.CreateUserStep.Title = LocalizationUtility.GetText("cuwRegisterCreateUserStepTitle");
      cuwRegister.CompleteStep.Title = LocalizationUtility.GetText("cuwRegisterCompleteStepTitle");
    }

    #endregion

    #endregion

  }
}
